import { default as Layer } from './Layer';
export default BaseLayer;
declare class BaseLayer extends Layer {
    createPaths(json: any): void;
    g: d3.Selection<any, any, null, undefined> | undefined;
    createLabels(json: any): void;
    resize(): void;
    componentDidUpdate(prevProps: any, prevState: any, snapshot: any): void;
}
import * as d3 from 'd3';
